#include <bits/stdc++.h>

using namespace std;

int main(){
    int N,L;
    cin >> N >> L;
    bool dalijenasao=false;
    int indeks=-1;
    int k;
    for(int i=1;i<=N;i++){
        cin >> k;
        if(!dalijenasao){
            if(k<=L){
                indeks = i;
                dalijenasao = true;
            } 
        }
    }
    cout << indeks;
}